import Box from "@mui/material/Box";
import Typography from "@mui/material/Typography";
import TextField from "@mui/material/TextField";
import MailIcon from "@mui/icons-material/Mail";
import LocationOnIcon from "@mui/icons-material/LocationOn";
import PhoneIphoneIcon from "@mui/icons-material/PhoneIphone";
import ContactStrip from "./ContactStrip.jsx";
import "@css/contact.css";
export default function Contact() {
  return (
    <Box style={{ padding: 10, scrollMarginTop: "4rem" }} id="contact">
      <Box
        style={{
          display: "flex",
          flex: 1,
          margin: "auto",
          flexWrap: "wrap",
        }}
      >
        <Box style={{ flex: 1 }}>
          <div style={{ display: "flex" }}>
            <Typography variant="h2" sx={{ margin: "2rem auto", fontSize: 30 }}>
              Contact
            </Typography>
          </div>
          <Box
            className="static-contacts"
            style={{
              display: "flex",
              justifyContent: "center",
              flexWrap: "wrap",
            }}
          >
            <ContactStrip
              icon={LocationOnIcon}
              title="Location"
              info="Springville, Utah"
            />
            <ContactStrip
              icon={MailIcon}
              title="Email"
              info="elijahglennparker@outlook.com"
            />
            {/*<ContactStrip
              icon={PhoneIphoneIcon}
              title="Text/Call"
              info="+1 (234) 456 7890"
            />*/}
          </Box>
          {/*<Box className="messaging">
	<TextField label="Name" size="small" />
	<TextField label="Subject" size="small"/>
	<TextField label="Email" size="small"/>
	<TextField label="Message" size="small" multiline/>
	</Box>*/}
        </Box>
      </Box>
    </Box>
  );
}
